summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2004-11-22 14:55:57 +0000
committerMike Frysinger <vapier@gentoo.org>2004-11-22 14:55:57 +0000
commit75fe91211b47b2fc3954a2a3ec9528a727796dae (patch)
tree231c4355072691b2888f6dffcdfe3367c48a24bc /eclass
parentVersion bumped (Manifest recommit) (diff)
downloadgentoo-2-75fe91211b47b2fc3954a2a3ec9528a727796dae.tar.gz
gentoo-2-75fe91211b47b2fc3954a2a3ec9528a727796dae.tar.bz2
gentoo-2-75fe91211b47b2fc3954a2a3ec9528a727796dae.zip
only make the error failure scary fur uclibc users
Diffstat (limited to 'eclass')
-rw-r--r--eclass/libtool.eclass10
1 files changed, 7 insertions, 3 deletions
diff --git a/eclass/libtool.eclass b/eclass/libtool.eclass
index ee763d5f6a9e..1357d056e894 100644
--- a/eclass/libtool.eclass
+++ b/eclass/libtool.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/libtool.eclass,v 1.40 2004/10/20 14:29:26 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/libtool.eclass,v 1.41 2004/11/22 14:55:57 vapier Exp $
#
# Author: Martin Schlemmer <azarah@gentoo.org>
#
@@ -279,6 +279,10 @@ elibtoolize() {
uclibctoolize() {
[ -n "${NO_UCLIBCTOOLIZE}" ] && return 0
+ local errmsg=""
+ [ "${PORTAGE_LIBC}" = "uClibc" ] \
+ && errmsg="PLEASE CHECK" \
+ || errmsg="Already patched"
local targets=""
local x
@@ -294,7 +298,7 @@ uclibctoolize() {
if grep 'Transform linux' "${x}" >/dev/null ; then
ebegin " Fixing \${S}${x/${S}}"
patch -p0 "${x}" "${ELT_PATCH_DIR}/uclibc/configure.patch" > /dev/null
- eend $? "PLEASE CHECK ${x}"
+ eend $? "${errmsg} ${x}"
fi
;;
@@ -304,7 +308,7 @@ uclibctoolize() {
[ "${ver:0:3}" == "1.4" ] && ver="1.3" # 1.4 and 1.3 are compat
ebegin " Fixing \${S}${x/${S}}"
patch -p0 "${x}" "${ELT_PATCH_DIR}/uclibc/ltconfig-${ver:0:3}.patch" > /dev/null
- eend $? "PLEASE CHECK ${x}"
+ eend $? "${errmsg} ${x}"
;;
esac
done